# Method: organizations.locations.organizationEvents.get

- [HTTP request](https://docs.cloud.google.com/service-health/docs/reference/rest/v1beta/organizations.locations.organizationEvents/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-health/docs/reference/rest/v1beta/organizations.locations.organizationEvents/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-health/docs/reference/rest/v1beta/organizations.locations.organizationEvents/get#body.request_body)
- [Response body](https://docs.cloud.google.com/service-health/docs/reference/rest/v1beta/organizations.locations.organizationEvents/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/service-health/docs/reference/rest/v1beta/organizations.locations.organizationEvents/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/service-health/docs/reference/rest/v1beta/organizations.locations.organizationEvents/get#body.aspect_1)

Retrieves a resource containing information about an event affecting an organization .

### HTTP request

`GET https://servicehealth.googleapis.com/v1beta/{name=organizations/*/locations/*/organizationEvents/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Unique name of the event in this scope including organization and event ID using the form `organizations/{organization_id}/locations/locations/global/organizationEvents/{event_id}`. `organization_id` - ID (number) of the project that contains the event. To get your `organization_id`, see [Getting your organization resource ID](https://cloud.google.com/resource-manager/docs/creating-managing-organization#retrieving_your_organization_id). `event_id` - Organization event ID to retrieve. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/service-health/docs/reference/rest/v1beta/organizations.locations.organizationEvents#OrganizationEvent`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/external/authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `servicehealth.organizationEvents.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).